#!/bin/python
import sys
import time
import os
import RPi.GPIO as GPIO

# shutdown system after delayed time

gpio_pin_number=13

GPIO.setmode( GPIO.BCM)
GPIO.setup( gpio_pin_number, GPIO.IN, pull_up_down=GPIO.PUD_UP)

WAITHRS = 2
waitSeconds = WAITHRS * 60 * 60

# wait seconds before suspending USB posts
WAITUSB = 30

shutdownSeconds = 0
usbOffSeconds = 0
usbOff = 0

# test
waitSeconds = 120
WAITUSB = 3

while True:
	if GPIO.input( gpio_pin_number):
#		print("Pin is HIGH")
		shutdownSeconds = 0
		usbOffSeconds = 0
	else:
#		print("Pin is LOW")
		shutdownSeconds += 1
		usbOffSeconds += 1

	if ( GPIO.input( gpio_pin_number) and usbOff):
		usbOff = 0
		#print "usb on"
		# turn ON all four USB ports (not the Ethernet) 
#		os.system( "sudo /home/pi/script/hub-ctrl -h 0 -P 2 -p 1")
#		os.system( "sudo /home/pi/script/hub-ctrl -h 0 -P 3 -p 1")
		# activate processes
		os.system( "sudo pkill -CONT navit") 
		os.system( "sudo pkill -CONT omxplayer") 

	if ( not GPIO.input( gpio_pin_number) and usbOffSeconds > WAITUSB and not usbOff):
		usbOff = 1
#		print "usb off"
		# turn OFF all four USB ports (not the Ethernet) 
#		os.system( "sudo /home/pi/script/hub-ctrl -h 0 -P 2 -p 0")
#		os.system( "sudo /home/pi/script/hub-ctrl -h 0 -P 3 -p 0")
		# suspend running processes
		os.system( "sudo pkill -STOP navit") 
		os.system( "sudo pkill -STOP omxplayer") 

	if ( not GPIO.input( gpio_pin_number) and shutdownSeconds > waitSeconds):
		os.system( "sudo shutdown -h now")
#		print "shutdown"
		break

	time.sleep( 1)

# clean up ports used
GPIO.cleanup()


